Bio::Annotation::Target(3)

NAME
Bio::Annotation::Target

SYNOPSIS
   $target1 = new Bio::Annotation::Target(-target_id  => 'F321966.1',
                                          -start      => 1,
                                          -end        => 200,
                                          -strand     => 1,    # or -1
                                         );

   # or

   $target2 = new Bio::Annotation::Target();
   $target2->target_id('Q75IM5');
   $target2->start(7);
   # ... etc ...

   # Target is-a Bio::AnnotationI object, can be added to annotation
   # collections, e.g. the one on features or seqs
   $feat->annotation->add_Annotation('Target', $target2);

DESCRIPTION
Provides an object which represents a target (ie, a similarity hit) from one object to something in another database without prescribing what is in the other database

AUTHOR - Scott Cain
Scott Cain - cain@cshl.org

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

AnnotationI implementing functions

  as_text
 Title   : as_text
 Usage   :
 Function:
 Example :
 Returns :
 Args    :

  tagname
 Title   : tagname
 Usage   : $obj->tagname($newval)
 Function: Get/set the tagname for this annotation value.

           Setting this is optional. If set, it obviates the need to
           provide a tag to Bio::AnnotationCollectionI when adding
           this object. When obtaining an AnnotationI object from the
           collection, the collection will set the value to the tag
           under which it was stored unless the object has a tag
           stored already.

 Example :
 Returns : value of tagname (a scalar)
 Args    : new value (a scalar, optional)

Specific accessors for Targets

  target_id

Usage
      $obj->target_id()        #get existing value
      $obj->target_id($newval) #set new value

Function
Returns
    value of target_id (a scalar)

Arguments
    new value of target_id (to set)